# List users Get a list of users Endpoint: GET /users Version: xx.xx.xx Security: Auth0 ## Query parameters: - `page_limit` (integer) Number of elements in the collection to retrieve Example: 100 - `page_offset` (integer) Index of the first element in the collection to retrieve - `sort_by` (string) The field to sort by. You can use any field name in ascending or descending order. For ascending order, use the field name directly, e.g., id. For descending order, prefix the field name with a hyphen (-), e.g., -id. Example: "id, -id, name, -name" - `q` (string) Query search for filtering. This parameter can be used to filter results based on various fields. Supported operators: - == - numeric equality or case-sensitive string identity, - ==(1,2,3) - IN query (only works for integers), - != - numeric inequality or case-sensitive string non-identity, - =: - case-insensitive match, allows substring using * wildcards, - ` - greater than, - >= - greater than or equal to. Examples: - q=name=:{search}* to find all results with names starting with {search}. - q=status==true to find all active entities. - q=id>=1000 to find all entities with id greater than or equal to 1000. - q=id==(1,2,3) to find specific entities by ID. - q=created_on>1999-02-02 or q=created_on>1999-02-02T00:00:00Z to find entities created later than date. - q=id>5&status==true` to find all active entities with id greater than 5. ## Response 200 fields (application/json): - `data` (array,null) - `data.id` (integer) - `data.name` (string) - `meta` (object) - `meta.status` (string, required) The status of the response, indicating success or failure. Example: "success" - `meta.count` (integer, required) The number of items returned in the current response. Example: 10 - `meta.total_count` (integer) The total number of items available in the dataset. Example: 100 - `meta.offset` (integer) The offset from the start of the dataset, used for pagination. - `meta.next_page` (string) The URL to fetch the next page of results. - `meta.prev_page` (string) The URL to fetch the previous page of results. ## Response 400 fields (application/json): - `errors` (array, required) - `errors.code` (string) - `errors.field` (string) Optional when it is a schema error - `errors.message` (string) - `meta` (object, required) - `meta.status` (string, required) ## Response 401 fields (application/json): - `errors` (array, required) - `errors.code` (string) - `errors.field` (string) Optional when it is a schema error - `errors.message` (string) - `meta` (object, required) - `meta.status` (string, required) ## Response 403 fields (application/json): - `errors` (array, required) - `errors.code` (string) - `errors.field` (string) Optional when it is a schema error - `errors.message` (string) - `meta` (object, required) - `meta.status` (string, required)